Subject: Re: [PATCH net-next V2 1/2] virtio-net: convert rx mode setting to use workqueue

From: Jakub Kicinski <[email-masked]>
Date: Tue, 16 May 2023 12:36:35 -0700

On Tue, 16 May 2023 12:17:50 +0800 Jason Wang wrote:
> > It's not reliable for other drivers but has been reliable for virtio.
> > I worry some software relied on this.  
> 
> It's probably fine since some device like vhost doesn't support this
> at all and we manage to survive for several years.
> 
> > You are making good points though ... could we get some
> > maintainer's feedback on this?  
> 
> That would be helpful. Jakub, any input on this?

AFAIU the question is whether .ndo_set_rx_mode needs to be reliable 
and instantaneous?  I haven't heard any complaints for it not being
immediate, and most 10G+ NICs do the config via a workqueue.

I even have an "intern task" to implement a workqueue in the core,
for this to save the boilerplate code in the drivers.